## net.sf.saxon.xqj
Interface SaxonXQItemAccessor

All Known Implementing Classes:
  SaxonXQItem, SaxonXQSequence

    public interface SaxonXQItemAccessor

All Saxon implementations of XQItemAccessor must implement this interface

Method Summary
`Item` `getSaxonItem()` Get the current item, in the form of a Saxon Item object.

Method Detail

### getSaxonItem

    Item getSaxonItem()
                      throws XQException

  Get the current item, in the form of a Saxon Item object. This allows access to non-XQJ methods to manipulate the item, which will not necessarily be stable from release to release. The resulting Item will be an instance of either `NodeInfo` or `AtomicValue`.

  Returns:
    the current item
  Throws:
    `XQException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.